<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#info_bbm").hide();
	$("#form").load('modul/ubah_harga/form.php');
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);				
			}
		});
	}
	
	$("#cari_tgl").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var jenis = $("#t_jenis").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").load('modul/ubah_harga/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#t_jenis").click(function(){
		cari_bbm();
	});
	
	$("#t_jenis").keyup(function(){
		cari_bbm();
	});
	
	function cari_bbm(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var jenis = $("#t_jenis").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").load('modul/ubah_harga/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&jenis='+jenis);
	}
	
	$("#cetak").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var jenis = $("#t_jenis").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		window.location.href='modul/laporan/daftar_uhbbm.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&jenis='+jenis;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT PERUBAHAN HARGA BBM</a></li>
	       <li><a href='#data'>DAFTAR PERUBAHAN HARGA BBM</a></li>
      </ul>";
	  
echo "<div id='form'></div>";
	
echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Tanggal Perubahan</td>
					<td>:</td>
					<td><input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'></td>
					<td>S/D</td>
					<td><input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>Jenis BBM</td>
					<td>:</td>
					<td><select name='t_jenis' id='t_jenis' >
						<option value='' selected>-Pilih-</option>
						<option value='Premium'>Premium</option>
						<option value='Bio Solar'>Bio Solar</option>
						<option value='Pertamax'>Pertamax</option>
						<option value='Pertamax Plus'>Pertamax Plus</option>
						<option value='Pertalite'>Pertalite</option>
						<option value='Pertamina Dex'>Pertamina Dex</option>
						<option value='Dexlite'>Dexlite</option>
						<option value='Solar Keekonomian'>Solar Keekonomian</option>
					</select>
					</td>
				</tr>
				</table>
				<table align='center'>
				<tr>
					<td align='right'>
						<button name='cari_tgl' id='cari_tgl'>Cari</button>
						<button name='cetak' id='cetak'>Cetak</button>
						<button name='tutup' id='tutup'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_data' align='center'></div>
		</div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>
